<!-- Vista de usuario-->
<div *ngIf="!isLogged" class="modal-content mt-5 container" id="userDiv">
	<div class="row">
		<div class="col">
			<h1>Page Not Found <small>
					<font face="Tahoma" color="red">Error 404</font>
				</small></h1>
			<br />
			<p>Usuario no tiene los permisos suficientes para acceder a esta vista</p>
		</div>
	</div>
	<div class="row">
		<div class="col">
			<button class="btn btn-primary" routerLink="/home">
				<i class="fas fa-home"></i>
				Home</button>
		</div>
	</div>
</div>
<div *ngIf="isLogged" class="container  ">
	<div class="row">
		<div class="col-sm-4">
			<h3>Bienvenido</h3>
		</div>
		<div class="col-sm-8" *ngIf="operation == 'show'">
			<h3>Datos</h3>
		</div>
		<div class="col-sm-8" *ngIf="operation == 'edit'">
			<h3>Registrar Datos</h3>
		</div>
	</div>
	<div class="row">
		<div class="col-sm-4">
			<div class="text-center" id="profile">
				<img src="{{photoUrl}}" class="avatar img-circle img-thumbnail" alt="avatar">
			</div><br>
			<div>
				<ul class="list-group">
					<li class="list-group-item text-muted">Actividades</li>
					<li class="list-group-item text-center"><strong>Alguna actividad </strong> Porcentaje</li>
					<!-- se deben agregar automaticamente con ng for -->
				</ul>
			</div>
		</div>
		<!--/col-3-->
		<div class="col-sm-8" id="profile">
			<ul class="nav nav-tabs">
				<li class="nav-item" (click)="operation = 'show'" class="active"><a class="nav-link" data-toggle="tab"
						href="#datos">Datos</a></li>
				<li class="nav-item" (click)="operation = 'edit'"><a class="nav-link" data-toggle="tab"
						href="#editar">Editar</a></li>
			</ul>
			<div class="tab-content">
				<div class="tab-pane active" *ngIf="operation == 'show'">
					<form class="form">
						<div class="col">
							<h4>Email:</h4>
							<p class="text-center">{{user.email}}</p>
							<h4>Nombre:</h4>
							<p class="text-center">{{user.name}}</p>
						</div>
					</form>
				</div>
				<!--/tab-pane-->
				<div class="tab-pane" *ngIf="operation == 'edit'" id="editar">
					<hr>
					<div class="row">
						<i class="fas fa-at col-2 mb-2 fa-2x"></i>
						<input [(ngModel)]="user.email" type="email" id="email" class="form-control col-10 mb-2"
							name="email" placeholder="Ingrese su e-mail" readonly>
					</div>
					<div class="row">
						<i class="fa fa-user col-2 mb-2 fa-2x"></i>
						<input [(ngModel)]="user.name" name="name" class="form-control col-10 mb-2" type="text"
							placeholder="Ingrese su Nombre" required="required">
					</div>
					<div class="row">
						<i class="fa fa-user col-2 mb-2 fa-2x"></i>
						<input [(ngModel)]="user.surName" name="name" class="form-control col-10 mb-2" type="text"
							placeholder="Ingrese su apellido" required="required">
					</div>
					<div class="row">
						<i class="far fa-address-card col-2 mb-2 fa-2x"></i>
						<input [(ngModel)]="user.identificationNumber" name="dni" class="form-control col-10 mb-2"
							type="text" placeholder="Ingrese su DNI" required="required">
					</div>
					<div class="row">
						<i class="fas fa-mobile-alt col-2 mb-2 fa-2x"></i>
						<input [(ngModel)]="user.phoneNumber" name="phone" class="form-control col-10 mb-2" type="text"
							placeholder="Ingrese su numero de celular" required="required">
					</div>
					<div class="row">
						<i class="fas fa-map-marked-alt col-2 mb-2 fa-2x"></i>
						<input [(ngModel)]="user.address" name="address" class="form-control col-10 mb-2" type="text"
							placeholder="Ingrese su Dirección" required="required">
					</div>
					<div class="row">
						<i class="fas fa-birthday-cake col-2 mb-2 fa-2x"></i>
						<input [(ngModel)]="birthday" name="birthday" class="form-control col-10 mb-2" type="date">
					</div>
					<button class="btn btn-block col">
						<i (click)="updateBD()" class="fas fa-file-export fa-2x">Guardar</i>
					</button>
				</div>
			</div>
		</div>
	</div>
</div>